Commit 948fed40 authored by Henri-Damien LAURENT's avatar Henri-Damien LAURENT
Browse files

Adding composer dependencies for deploy

parent 92d2d5f8
Pipeline #10279 failed with stage
in 33 seconds
vendor
*~
\ No newline at end of file
*~
......@@ -4,6 +4,10 @@ test:php7_latest:
- apt update -yqq && apt install git zip -yqq
- curl https://getcomposer.org/composer-stable.phar > composer.phar
- php composer.phar install
- git submodule init
- git submodule update
- git submodule foreach --recursive "git submodule init"
- git submodule foreach --recursive "git submodule update"
- ./vendor/bin/phpunit -c tests/phpunit.xml
except:
- tags
......
[submodule "vendor"]
path = vendor
url = https://git.afi-sa.net/afi/pellicule-dependency.git
[submodule "library/storm"]
path = library/storm
url = https://gitlab.com/patbator/storm.git
......@@ -2,7 +2,6 @@
"require": {
"slim/slim": "4.*",
"slim/psr7": "^0.6.0",
"pbarroca/storm": "dev-master",
"kriswallsmith/buzz": "^1.0"
},
"repositories": [
......@@ -13,8 +12,10 @@
],
"autoload": {
"psr-4": {
"Pellicule\\": "src"
"Pellicule\\": "src",
"Storm\\": "library/storm/src"
}
},
"autoload-dev": {
"psr-4": {
......@@ -22,6 +23,7 @@
}
},
"require-dev": {
"mikey179/vfsstream": "^1.6"
"mikey179/vfsstream": "^1.6",
"phpunit/phpunit": "^7.5"
}
}
This diff is collapsed.
Subproject commit 5ba247b497b6d52c021f218dea128eee6986856b
......@@ -2,4 +2,6 @@
error_reporting(E_ALL^E_DEPRECATED);
ini_set('display_startup_errors', 1);
ini_set('display_errors', 1);
ini_set('xdebug.remote_port', '9301');
ini_set('xdebug.remote_host', '10.13.78.15');
require __DIR__ . '/../vendor/autoload.php';
Subproject commit b488145ec4a70958513bdec66b21bb76bc0ff1e4
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment